OpenDev Call Hosting: Operations Funding Proposal

12hrs 5mins ago
0

Requested amount: 4,680 HOLLAR
Beneficiary: 12zsKEDVcHpKEWb99iFt3xrTCQQXZMu477nJQsTBBrof5k2h
Proposer: Jesse Chejieh (Rank II)
Period covered: June–September 2026 (delivered), October–December 2026 (forward)

Rationale

OpenDev is the Fellowship's open technical call. It had lapsed, leaving technical
coordination without a regular synchronous venue. Under the hosting pilot I resumed
it in June 2026 and have hosted every call since, on a fixed commitment: a monthly
call, an agenda thread ahead of it, and proceedings published shortly after.

This request covers the four months delivered and the three that follow for the rest of 2026.

Delivered, June to September 2026

Four calls held, proceedings published for each:

  • 30 June 2026 — RFC 171, asset-based storage deposits. The room settled on migrating pallets off hardcoded Currency deposits onto Consideration.
  • 21 July 2026 — RFC 174 and RFC 173, light client inclusion proofs and transaction replay against reaped accounts.
  • 18 August 2026 — RFC 166 and RFC 175. RFC 166 merged on 7 September, three weeks after being presented.
  • 15 September 2026 — the JAM parachain service, RFC 175, proof of personhood and coinage, and RFC 167. Five speakers, including the Web3 Foundation on the salary question.

Agenda threads run in [polkadot-fellows/help-center/discussions](https://github.com/orgs/polkadot-fellows/discussions), posted ahead of each call.

A measured change to the public record

The pilot linked a full edit of the July call from its proceedings, 27 minutes long on Google Drive. Discourse publishes a click count for every link in a post,
so the result is checkable: the most expensive artifact the pilot produced was
opened twice. The September proceedings link the unedited recording instead, and
it was opened five times in its first three days, more than the edit drew in eight
weeks. Both counts as of 21 September 2026.

From September the record is the written proceedings, a short recap, and the
unedited recording. The recording still ships, but as source material rather than
the main artifact, since the recap is cut from it. When a future call covers a
feature with a working implementation, the recap can fit a walkthrough of it
running inside its one to three minute window.

Cost breakdown

Line Hours Rate Amount
Delivered, Jun–Aug (3 calls × 20h) 60 $30 $1,800
Delivered, Sep (1 call × 24h) 24 $30 $720
Forward, Oct–Dec (3 calls × 24h) 72 $30 $2,160
Total 156 4,680 HOLLAR

The rate sits below the Fellowship's own scale. FellowshipCore.Params sets the
Rank II active salary at $1,666.67 per month, which at a nominal 42-hour month
implies approximately $40 per hour. Hours are billed at $30 and will stay at that rate
in the future regardless of any rank advancement.

What a call costs

Per delivered call, as good-faith accounting of a typical month rather than a
stopwatch measurement. The recap is the September addition; June to August ran to
20 hours without it:

Activity Hours
Agenda research, drafting, publishing 6
Speaker recruitment and confirmation 4
Preparation on the items being presented 4
Call setup 1.5
The call 1.5
Proceedings 3
Recap short 4
Total 24

Most of this is publicly checkable. The agenda threads carry timestamps and link
the sources they were built from; the September agenda cites around fifteen, each
one found, read and verified. The proceedings are on the forum, with every embedded
link checked before publishing.

The line that leaves no public trace is speaker recruitment, and it is the one that
determines whether a call happens at all. A thin agenda is what caused OpenDev to
lapse before it was resumed. September's five speakers were each recruited
individually over several weeks, including one from outside the Fellowship, with
timing constraints to resolve.

Why 24 hours from September

The additional four hours are the recap short, which is a new deliverable rather
than a rate increase: script editing, shoot, cut with captions and cards, publish.

Relationship to Fellowship salary

I receive the Rank II salary, so the question of whether this is already covered is
a fair one to ask.

The salary is paid for being an active contributing member, judged at retention
against the work of the period. Hosting OpenDev is a distinct, scheduled service
with fixed external commitments: a call every month, an agenda published ahead of
it, and proceedings shortly after, whether or not my own technical work that
month warrants retention.

Closing

4,680 HOLLAR covers four months of OpenDev delivered and three more to the end of
2026, at a rate below the Fellowship's own valuation of the rank that delivered them. The calls
continue on the commitment they have run on since June: a monthly call, an agenda
thread ahead of it, proceedings and a recap after. I would like to keep hosting
OpenDev after December, but that is for the Fellowship to decide, and this request
does not assume it.

Reply
Up
Share
Comments